function mostrar_titulo(){

    var parametros = {"accion":'mostrar_titulo'};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_alumnos_matricula.php",
                type:  'post',
                success:function (response){

                      document.getElementById('titulo_matriculas').innerHTML=response;
                }

        });
        
}

//---------------------------

function limpiarpp(){

    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    document.getElementById('cod').value='';
    document.getElementById('pa').value='';
    document.getElementById('sa').value='';
    document.getElementById('pn').value='';
    document.getElementById('sn').value='';
    document.getElementById('es').value='';


    document.getElementById('info_alum').innerHTML='';
}

function retornar_pp(){
  
   var r=parametro("rol");

    if(r=='4'){ // ---- Rol Administrador ----
       window.location.href='../menu.php'
    }

    if(r=='6'){  // ---- Rol Secretaria ----
       window.location.href='../menu_secretaria.php'
    }
}

//-----------------------------------------

function actualizar_alumno(codigo,sw){


if (sw==0){
    var grado=get('GRAD_'+codigo);
    var curso=get('CUR_'+codigo);
    var aprobado=get('PROM_'+codigo);
    var estado=get('EST_'+codigo);
    
    var parametros = {"accion":'actualizar_curso_alumno',"codigo":codigo,"grado":grado,"curso":curso,"aprobado":aprobado,"estado":estado,"estado_obser":sw};
}
else{
    var observacion=get('OBSER_'+codigo);
    var parametros = {"accion":'actualizar_curso_alumno',"codigo":codigo,"observacion":observacion,"estado_obser":sw};
    }
    


        $.ajax({
                data:  parametros,
                url:"app/model/insertar_alumnos_matricula.php",
                type:  'post',
                success:function (response){
                      alert(response);
                    }

        });
}

//-----------------------------------------

function eliminar_alumno(codigo){

var parametros = {"accion":'eliminar_alumno',"codigo":codigo};

        $.ajax({
                data:  parametros,
                url:"app/model/insertar_alumnos_matricula.php",
                type:  'post',
                success:function (response){
                      alert(response);
                    }

        });

        consulta();
}

//-----------------------------------------

function consulta(){

    var cod=get('cod');
    var pa=get('pa');
    var sa=get('sa');
    var pn=get('pn');
    var sn=get('sn');
    var grado=get('g_id1');
    var curso=get('c_id1');
    var es=get('es');

    var observaciones=document.getElementById('casilla1').checked;


    //alert(cod+" -- "+pa+" -- "+sa+" -- "+pn+" -- "+sn+" -- "+grado+" -- "+curso+" -- "+es);
    
    
    var parametros = {"accion":'mostrar_tabla',"codigo":cod,"pn":pn,"sn":sn,"pa":pa,"sa":sa,"grado":grado,"curso":curso,"observaciones":observaciones,"estado":es};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_alumnos_matricula.php",
                type:  'post',
                success:function (response){

                      document.getElementById('info_alum').innerHTML=response;
                }

        });
        
        
}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}



//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

//*+++++++++++++++++++++

